> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rapidagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /agent-tools/{agentToolId}

> List single agent tool.

### Params

<ParamField path="agentToolId" required type="string">
  The ID of the agent tool.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="data" type="object">
  A single agent tool object.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.rapidagent.ai/api/v1/agent-tools/{agentToolId}' \
  --header 'Content-Type: application/json' \
  --header 'Autorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "clhjk4hab00016iewrghkbs28",
      "agent": {},
      "agentId": "clhnyae1t00016i2ixo0027c2",
      "tool": {},
      "toolId": "clhnyae1t00016i2ixo0027c5"
    }
  }
  ```
</ResponseExample>
